import { ApolloLink } from 'apollo-link';
import { Client as SubscriptionClientLambda } from 'aws-lambda-ws-link';
import { ForkEffect } from 'redux-saga/effects';
import { SchemaFetcher } from '../../components/Playground/SchemaFetcher';
export declare function setSubscriptionEndpoint(endpoint: any): void;
export declare function setAws(aws: any): void;
export interface LinkCreatorProps {
    endpoint: string;
    headers?: Headers;
    credentials?: string;
}
export interface Headers {
    [key: string]: string | number | null;
}
export declare const defaultLinkCreator: (session: LinkCreatorProps, subscriptionEndpoint?: string | undefined, awsEndpoint?: boolean | undefined) => {
    link: ApolloLink;
    subscriptionClient?: SubscriptionClientLambda | undefined;
};
export declare let schemaFetcher: SchemaFetcher;
export declare function setLinkCreator(newLinkCreator: any): void;
export declare function formatError(error: any, fetchingSchema?: boolean): any;
export declare const fecthingSagas: ForkEffect[];
export { ForkEffect };
